// Code generated by protoc-gen-go. DO NOT EDIT.
// source: notification.proto

package notification

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type SetTokenRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	Token                string   `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`
	UsereType            string   `protobuf:"bytes,3,opt,name=usereType,proto3" json:"usereType,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetTokenRequest) Reset()         { *m = SetTokenRequest{} }
func (m *SetTokenRequest) String() string { return proto.CompactTextString(m) }
func (*SetTokenRequest) ProtoMessage()    {}
func (*SetTokenRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_736a457d4a5efa07, []int{0}
}

func (m *SetTokenRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetTokenRequest.Unmarshal(m, b)
}
func (m *SetTokenRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetTokenRequest.Marshal(b, m, deterministic)
}
func (m *SetTokenRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetTokenRequest.Merge(m, src)
}
func (m *SetTokenRequest) XXX_Size() int {
	return xxx_messageInfo_SetTokenRequest.Size(m)
}
func (m *SetTokenRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SetTokenRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SetTokenRequest proto.InternalMessageInfo

func (m *SetTokenRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *SetTokenRequest) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *SetTokenRequest) GetUsereType() string {
	if m != nil {
		return m.UsereType
	}
	return ""
}

type SetTokenReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetTokenReply) Reset()         { *m = SetTokenReply{} }
func (m *SetTokenReply) String() string { return proto.CompactTextString(m) }
func (*SetTokenReply) ProtoMessage()    {}
func (*SetTokenReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_736a457d4a5efa07, []int{1}
}

func (m *SetTokenReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetTokenReply.Unmarshal(m, b)
}
func (m *SetTokenReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetTokenReply.Marshal(b, m, deterministic)
}
func (m *SetTokenReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetTokenReply.Merge(m, src)
}
func (m *SetTokenReply) XXX_Size() int {
	return xxx_messageInfo_SetTokenReply.Size(m)
}
func (m *SetTokenReply) XXX_DiscardUnknown() {
	xxx_messageInfo_SetTokenReply.DiscardUnknown(m)
}

var xxx_messageInfo_SetTokenReply proto.InternalMessageInfo

func (m *SetTokenReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func init() {
	proto.RegisterType((*SetTokenRequest)(nil), "SetTokenRequest")
	proto.RegisterType((*SetTokenReply)(nil), "SetTokenReply")
}

func init() { proto.RegisterFile("notification.proto", fileDescriptor_736a457d4a5efa07) }

var fileDescriptor_736a457d4a5efa07 = []byte{
	// 175 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x12, 0xca, 0xcb, 0x2f, 0xc9,
	0x4c, 0xcb, 0x4c, 0x4e, 0x2c, 0xc9, 0xcc, 0xcf, 0xd3, 0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x57, 0x8a,
	0xe5, 0xe2, 0x0f, 0x4e, 0x2d, 0x09, 0xc9, 0xcf, 0x4e, 0xcd, 0x0b, 0x4a, 0x2d, 0x2c, 0x4d, 0x2d,
	0x2e, 0x11, 0x12, 0xe3, 0x62, 0x2b, 0x2d, 0x4e, 0x2d, 0xf2, 0x74, 0x91, 0x60, 0x54, 0x60, 0xd4,
	0xe0, 0x0c, 0x82, 0xf2, 0x84, 0x44, 0xb8, 0x58, 0x4b, 0x40, 0xea, 0x24, 0x98, 0xc0, 0xc2, 0x10,
	0x8e, 0x90, 0x0c, 0x17, 0x27, 0x48, 0x3e, 0x35, 0xa4, 0xb2, 0x20, 0x55, 0x82, 0x19, 0x2c, 0x83,
	0x10, 0x50, 0xd2, 0xe4, 0xe2, 0x45, 0x18, 0x5f, 0x90, 0x53, 0x29, 0x24, 0xc1, 0xc5, 0x5e, 0x5c,
	0x9a, 0x9c, 0x9c, 0x5a, 0x5c, 0x0c, 0x36, 0x9d, 0x23, 0x08, 0xc6, 0x35, 0x72, 0xe5, 0x12, 0xf6,
	0x43, 0x72, 0x5f, 0x70, 0x6a, 0x51, 0x59, 0x66, 0x72, 0xaa, 0x90, 0x1e, 0x17, 0x07, 0xcc, 0x04,
	0x21, 0x01, 0x3d, 0x34, 0xb7, 0x4a, 0xf1, 0xe9, 0xa1, 0x18, 0xaf, 0xc4, 0x90, 0xc4, 0x06, 0xf6,
	0x97, 0x31, 0x20, 0x00, 0x00, 0xff, 0xff, 0x0f, 0x90, 0xc2, 0x26, 0xed, 0x00, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// NotificationServiceClient is the client API for NotificationService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type NotificationServiceClient interface {
	SetToken(ctx context.Context, in *SetTokenRequest, opts ...grpc.CallOption) (*SetTokenReply, error)
}

type notificationServiceClient struct {
	cc *grpc.ClientConn
}

func NewNotificationServiceClient(cc *grpc.ClientConn) NotificationServiceClient {
	return &notificationServiceClient{cc}
}

func (c *notificationServiceClient) SetToken(ctx context.Context, in *SetTokenRequest, opts ...grpc.CallOption) (*SetTokenReply, error) {
	out := new(SetTokenReply)
	err := c.cc.Invoke(ctx, "/NotificationService/SetToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// NotificationServiceServer is the server API for NotificationService service.
type NotificationServiceServer interface {
	SetToken(context.Context, *SetTokenRequest) (*SetTokenReply, error)
}

// UnimplementedNotificationServiceServer can be embedded to have forward compatible implementations.
type UnimplementedNotificationServiceServer struct {
}

func (*UnimplementedNotificationServiceServer) SetToken(ctx context.Context, req *SetTokenRequest) (*SetTokenReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetToken not implemented")
}

func RegisterNotificationServiceServer(s *grpc.Server, srv NotificationServiceServer) {
	s.RegisterService(&_NotificationService_serviceDesc, srv)
}

func _NotificationService_SetToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetTokenRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NotificationServiceServer).SetToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/NotificationService/SetToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NotificationServiceServer).SetToken(ctx, req.(*SetTokenRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _NotificationService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "NotificationService",
	HandlerType: (*NotificationServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SetToken",
			Handler:    _NotificationService_SetToken_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "notification.proto",
}
